Metacat - Bug #1130

System Id is changed by Metacat
08/12/2003 06:01 PM - Jing Tao

Status: Resolved Start date: 08/12/2003
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: Postpone Spent time: 0.00 hour
Bugzilla-ld: 1130

Description

When a user try to read a document which is based on dtd, currently Metacat will
send back the document with the system id which is regestered in xml|_catalog
table. If the system id in the table is different to original one when user

upload to metacat, the document will be changed. This is not what we want: come
in and go out is same. Metacat shouldn't change the system id in operation.

History

#1 - 08/14/2003 04:52 PM - Jing Tao
Metacat didn't store the info about docname, public id and system id when user
upload a xml document.

| create new DBSAXNode constructor to store the docname, public id and system id
info and write to database.

When user try to read a document from metacat, if the document is old one and didn't
store the info about docname, public and system id info, Metacat will using the
default info (info from xml_catalog table) to handle it. If xml_nodes table has

the info, it will input the info from xml_nodes table.

#2 - 03/27/2013 02:16 PM - Redmine Admin
Original Bugzilla ID was 1130
